import { defineComponent as n, mergeModels as o, useModel as i, createBlock as r, openBlock as m, unref as u } from "vue";
import { d as p } from "./start-CE9SawgU.js";
import "vue-i18n";
import "pinia";
import "./header-Bn1EKnBE.js";
const b = /* @__PURE__ */ n({
  __name: "DatahubDataTypeStringValueEditor",
  props: /* @__PURE__ */ o({
    modelValue: {},
    readOnly: { type: Boolean },
    attribute: {},
    massEditing: { type: Boolean },
    label: {},
    fieldName: {},
    dataTypeInstance: {},
    loading: { type: Boolean },
    succeeded: { type: Boolean }
  }, {
    modelValue: {},
    modelModifiers: {}
  }),
  emits: /* @__PURE__ */ o(["validated", "update:model-value", "initialized"], ["update:modelValue"]),
  setup(d) {
    const a = i(d, "modelValue");
    return (e, l) => (m(), r(u(p), {
      modelValue: a.value,
      "onUpdate:modelValue": l[0] || (l[0] = (t) => a.value = t),
      readonly: e.attribute?.configuration?.readOnly || e.readOnly,
      loading: e.loading,
      label: e.massEditing ? void 0 : e.label,
      "persistent-placeholder": ""
    }, null, 8, ["modelValue", "readonly", "loading", "label"]));
  }
});
export {
  b as default
};
